Verify one-touch login by Email

Verifies the auto-login Email using a Verification Token.

GET
/identity/v2/auth/email/onetouchlogin

Verifies the auto-login Email using a Verification Token.

apikey<token>

Tenant API Key for authentication

In: query

Query Parameters

email?string

Email address of the associated Account.

Formatemail
welcomeemailtemplate?string

Welcome Email Template

verificationtoken?string

Verification token received in the Email.

vtoken?string

Verification token received in the Email.

prevent_webhook?boolean

When true, suppresses webhook events for this operation.

Header Parameters

X-PreventWebhook?boolean

When true, suppresses webhook events for this operation.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.loginradius.com/identity/v2/auth/email/onetouchlogin?email=test%40gmail.com&welcomeemailtemplate=Welcome-Email-Template&verificationtoken=123456&vtoken=123456&prevent_webhook=true" \  -H "X-PreventWebhook: true"
{
  "IsPosted": true,
  "IsVerified": true
}

{
  "ErrorCode": 908,
  "Message": "A parameter is not formatted correctly",
  "Description": "The verificationtoken is a required parameter."
}

{
  "errorCode": 1409,
  "message": "Authentication failed",
  "description": "The credentials provided could not be authenticated."
}

{
  "ErrorCode": 1146,
  "Message": "One touch login is not enabled for your LoginRadius site",
  "Description": "The one touch login is not enabled for your LoginRadius site, please reach out to LoginRadius support for more information."
}